Bug 248174 - Unrecognized USB flash drives erase /etc/fstab (0 byte file).
Unrecognized USB flash drives erase /etc/fstab (0 byte file).
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnome-mount (Show other bugs)
4.4
i386 Linux
low Severity high
: ---
: ---
Assigned To: David Zeuthen
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-13 13:51 EDT by Tom Kelly
Modified: 2013-03-05 22:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:11:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Kelly 2007-07-13 13:51:44 EDT
Description of problem:
When I put in a brand new Verbatim 4 GB flash drive in the USB port, 
my /etc/fstab gets erased.  This also happened about two weeks ago with a 1 GB 
flash drive that had no name on it and I though it was a fluke but was usable 
in all Windows computers.  The Verbatim 4 GB also works on all Windows 
computers.  The Verbatim 512MB flash drive works with Red Hat ES 4.4 and 
Windows computers but the Verbatim 4 GB does not.  The product info that came 
with the Verbatim 4 GB says that I have to download a Linux driver, I was 
unable to find this driver so I decided to try my 4GB flash drive anyways and 
it erased my /etc/fstab and made my / partition 100% full.

If the kernel cannot recognize my flash drive it should just put up a message, 
not presume that it can add a new entry in the /etc/fstab like it does when I 
plugged in the Verbatim 512 MB flash drive, then when the kernel realizes 
after it has eliminated the old /etc/fstab in memory and on disk that it can't 
recognize the USB device, it has only an emptied buffer to write out 
to /etc/fstab.

Tom Kelly.


Version-Release number of selected component (if applicable):
RHEL-U4-i386-ES Nahant Update 4.

How reproducible:
Happens every time.

Steps to Reproduce:
1. Put in a industry standard Verbatim 4 GB flash drive in a USB port.
2.The /etc/fstab file gets set to a file size of 0 bytes.
3.
  
Actual results:
Flash drive is not recognized and my / partition gets set to 100% capacity.

Expected results:
I can read and write to my flash drive or get an error message leaving the OS 
and the /etc/fstab unmolested.

Additional info:
I have saved a copy of my /etc/fstab before this happened so when you fix this 
bug can you tell me how to fix my system without rebooting.  I can't 
overwrite /etc/fstab with the copy because my OS says that the / partition is 
100% used.
Comment 1 Tom Kelly 2007-07-18 16:14:08 EDT
My 4GB Verbatim USB Flash drives works for kernel 2.6.9-42.0.10.ELsmp and
2.6.9-55.EL however it does not work (as described above) for 2.6.9-5.ELsmp.  
Verbatim documentation states that this device will work with RedHat kernel 
2.6 and above.

The 2.6.9-5.ELsmp computer that does not work has special RAID drives and 
controllers on it because it is our DB machine.
Comment 2 Tom Kelly 2007-07-18 16:25:01 EDT
From cat'ing /etc/redhat-release and looking at boot info,


RHEL ES release 4 (Nahant Update 4) -  2.6.9-42.0.10.ELsmp and 2.6.9-5.ELsmp.
RHEL ES release 4 (Nahant Update 5) -  2.6.9-55.EL.

Also my partition may have been at 100% capacity before I inserted the flash 
drive. I do not want to test on that computer anymore however.  I was able to 
do a mv command rather than a cp regarding my backup of /etc/fstab and when I 
rebooted all came up fine.
Comment 3 Jiri Pallich 2012-06-20 12:11:23 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.